Subject: bug#29187: closed (Re: bug#29187: flymake ruby and perl tests fail on rhel7.4)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 09 Nov 2017 20:22:03 +0000

Your bug report

#29187: flymake ruby and perl tests fail on rhel7.4

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
29187: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=29187
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#29187: flymake ruby and perl tests fail on rhel7.4
From: [email-masked] (João Távora)
To: Glenn Morris <[email-masked]>
Cc: [email-masked], [email-masked], Dmitry Gutov <[email-masked]>
Date: Thu, 09 Nov 2017 20:21:26 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Glenn Morris <[email-masked]> writes:

> João Távora wrote:
>
>> Thanks. Hmmm, trying to decide if this should be done just for the tests
>> or in the ruby backend in general. I lean towards your solution, since
>> this is appars to be a ruby bug anyway. WDYT?
>
> I'd say just for ruby.

I think you meant "just for the ruby tests", since that's what your
patch contained, and that's what I just commited in
0da08f2f8ef1946978f0974e9e8cdb87fece018c, which also contains the perl
fix.

João

Subject: flymake ruby and perl tests fail on rhel7.4
From: Glenn Morris <[email-masked]>
To: [email-masked]
Date: Mon, 06 Nov 2017 18:44:38 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

Package: emacs
Version: 26.0.90

Hi,

The flymake tests added in 58bb346 for Ruby and Perl fail on RHEL7.4.
I guess it's again due to different versions of an external tool
reporting errors/warnings differently.

perl version: v5.16.3
ruby version: 2.0.0p648

Test perl-backend condition:
    (ert-test-failed
     ((should
       (eq 'flymake-error
           (face-at-point)))
      :form
      (eq flymake-error flymake-warning)
      :value nil))
   FAILED  4/8  perl-backend

Test ruby-backend condition:
    (ert-test-failed
     ((should
       (eq 'flymake-warning
           (face-at-point)))
      :form
      (eq flymake-warning nil)
      :value nil))
   FAILED  6/8  ruby-backend